@import 'src/style/includes/sass_vars_and_mixins.module.scss';

.keyMessages {
  display: grid;
}

.keyMessage {
  margin-bottom: var(--space-l);
  background: var(--color-brand-weakest);
  //border-left: 3px solid var(--color-brand-base);
  padding: var(--space-m);
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  align-items: flex-start;

  .keyMessageContent p {
      margin-bottom: var(--space-xs); 
  }

  @include smaller-than-s {
    padding: var(--space-s);
    margin-bottom: var(--space-m);
    align-items: stretch;
  }
}

.keyMessageTitle {
  font-size: var(--font-size-l);
  margin: 0;
  margin-bottom: var(--space-xs);
  line-height: 1;
  display: flex;
  align-items: center;

  &:after {
    content: none;
  }
}

.keyMessageLink {
  margin-top: var(--space-xxs);
}

.coBenefitsImage {
  width: 100%;
  margin-bottom: var(--space-m);
}


// EMBED SPECIFIC
.embedWrapper {
  padding-top: var(--space-xl);
  padding-bottom: var(--space-s);
  min-height: 300px;

  &.isEmbed {
    padding-top: var(--space-l);
  }
}

.sectorTitle {
  font-size: var(--font-size-s);
  text-transform: uppercase;
  letter-spacing: .1em;
  color: var(--color-brand-base);
  margin-top: 0;
  font-weight: 400;
  margin-bottom: var(--space-l);
}

.timelineSection {
  border-bottom: 1px solid var(--color-foreground-weakest);
}

.keyfactsTable {
  @include smaller-than-s {
    background: var(--color-brand-weakest);
  }
}